<img src="https://raw.github.com/hapijs/hapi/master/images/17.png" align="right"/>

### Web and services application framework

Lead Maintainer: [Eran Hammer](https://github.com/hueniverse)

**hapi** is a simple to use configuration-centric framework with built-in support for input validation, caching,
authentication, and other essential facilities for building web and services applications. **hapi** enables
developers to focus on writing reusable application logic in a highly modular and prescriptive approach. 

Development version: **17.0.x** ([release notes](https://github.com/hapijs/hapi/issues?labels=release+notes&page=1&state=closed)) 
[![Build Status](https://secure.travis-ci.org/hapijs/hapi.svg?branch=master)](http://travis-ci.org/hapijs/hapi)

For the latest updates, [change log](http://hapijs.com/updates), and release information visit [hapijs.com](http://hapijs.com) and follow [@hapijs](https://twitter.com/hapijs) on twitter. If you have questions, please open an issue in the
[discussion forum](https://github.com/hapijs/discuss).

# Sponsorship

Development of the **hapi** core module generously supported by contributions from [individuals and corporations](https://github.com/hapijs/hapi/blob/master/SPONSORS.md).
If you are benefiting from **hapi** and would like to help keep the project financially sustainable, please visit
Eran Hammer's [Patreon page](https://www.patreon.com/eranhammer) or contact him [via email](mailto:eran@hammer.io).

## Features Sponsors

The v17 release would not have been possible without the generous financial support of the following
**Featured Sponsors** who have gone above and beyond to make this work successful and sustainable.
I am extremely grateful for their support.

<img src="https://user-images.githubusercontent.com/56631/32082980-4fd9b342-ba74-11e7-872a-42b0a414fcb2.png" align="left"  />

[**Lob**](http://bit.ly/lobh-rn) enables you to seamlessly print and mail documents, postcards, checks, and more via an API. They have been an early **hapi** adopters and vocal supporters. If you are looking to take your **hapi** and JS skills to the next level, check out their [career page](http://bit.ly/lobc-rn) for exciting opportunities.

&nbsp;
#

<img src="https://user-images.githubusercontent.com/56631/31878562-5c64483a-b78f-11e7-92da-5a991ebb302d.png" align="left" />

[**Auth0**](http://bit.ly/auth0h-rn) is the new way to solve identity. You can add authentication to your app or API by writing just a few lines of code. I have been consistently impressed by their products (which I have used for client work) as well as their talented team. If you are looking for a new opportunity, [Auth0 is hiring](http://bit.ly/auth0c-rn) for a variety of positions.

#

<img src="https://user-images.githubusercontent.com/56631/32398027-e2027480-c0a9-11e7-9077-c5ecca7bc39c.png" align="left"  />

[**Condé Nast Technology**](http://bit.ly/cn-rn) powers many of the world's most iconic brands like WIRED, Vogue, Vanity Fair, GQ. **hapi** is a core part of the company's digital stack and drives just about every web request to their sites. I've had a long relationship with the team which includes some of my closest friends. Want to be hapi-er? Check out their [Careers page](http://bit.ly/cnc-rn).

## Active Supporters

- **Lob**
- **Auth0**
- **CNN Digital**
- **Contentful**
- The product development team at **Creative Artists Agency**
- **Condé Nast Technology**

## Legacy Supporters

Past major financial support for the project was provided by:
- Benjamin Flesch and [StriveWire](https://strivewire.com/)
